[ubuntu/artful-proposed] openvpn 2.4.3-4ubuntu1 (Accepted)

Jeremy Bicha jbicha at ubuntu.com
Mon Jul 3 03:25:12 UTC 2017


openvpn (2.4.3-4ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/openvpn at .service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

openvpn (2.4.3-4) unstable; urgency=medium

  * fix FTBFS on kfreebsd
  * Adjust debian openvpn at .service to be closer to the upstream
    ones (Closes: #858558, #864031):
    - adjust Documentation URL to OpenVPN 2.4
    - use systemd READY signalling (Type=notify)
    - add ProtectHome=true
    - add After/Wants network-online.target
    - adjust CapabililtyBoundingSet

openvpn (2.4.3-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/control:
    - Set Bernhard Schmidt <berni at debian.org> as maintainer and myself as
      Uploader (Closes: #865555)
    - Many thanks to Alberto Gonzalez Iniesta.
    - Change Vcs-Browser to cgit.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

  [ Bernhard Schmidt ]
  * properly remove obsolete /etc/tmpfiles.d/openvpn.conf using
    dpkg-maintscript-helper (Closes: #865717)
  * Change Vcs-Git and Homepage to https

openvpn (2.4.3-2) unstable; urgency=medium

  * The "Bye bye OpenVPN" revenge release
  * Put upstream tmpfiles conf in the right place and merge with Debian's.
    (Closes: #865589)

openvpn (2.4.3-1) unstable; urgency=high

  * The "Bye bye OpenVPN" release.
  * New upstream release fixing: (Closes: #865480)
    - CVE-2017-7508
    - CVE-2017-7520
    - CVE-2017-7521
    - CVE-2017-7522
  * Plugin libs have been moved to /usr/lib/ARCH/openvpn/plugins
  * debian/rules:
    - Remove obsolete options to configure script (enable-password-save,
      with-plugindir (now in ENV_VARS))
    - No need to install upstream's systemd unit files from debian/rules

openvpn (2.4.0-6) unstable; urgency=medium

  * Apply upstream patch to fix shrinking MTU sizes on reconnects causing not
    usable VPN tunnels.

Date: Sun, 02 Jul 2017 23:05:35 -0400
Changed-By: Jeremy Bicha <jbicha at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/openvpn/2.4.3-4ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 02 Jul 2017 23:05:35 -0400
Source: openvpn
Binary: openvpn
Architecture: source
Version: 2.4.3-4ubuntu1
Distribution: artful
Urgency: high
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Jeremy Bicha <jbicha at ubuntu.com>
Description:
 openvpn    - virtual private network daemon
Closes: 858558 864031 865480 865555 865589 865717
Launchpad-Bugs-Fixed: 1454725
Changes:
 openvpn (2.4.3-4ubuntu1) artful; urgency=medium
 .
   * Sync with Debian. Remaining changes:
     - debian/openvpn at .service: Add "--script-security 2" similar to what got
       added to debian/openvpn.init.d ages ago (LP: #1454725)
     - Demote easy-rsa to Suggests (universe package).
 .
 openvpn (2.4.3-4) unstable; urgency=medium
 .
   * fix FTBFS on kfreebsd
   * Adjust debian openvpn at .service to be closer to the upstream
     ones (Closes: #858558, #864031):
     - adjust Documentation URL to OpenVPN 2.4
     - use systemd READY signalling (Type=notify)
     - add ProtectHome=true
     - add After/Wants network-online.target
     - adjust CapabililtyBoundingSet
 .
 openvpn (2.4.3-3) unstable; urgency=medium
 .
   [ Jörg Frings-Fürst ]
   * debian/control:
     - Set Bernhard Schmidt <berni at debian.org> as maintainer and myself as
       Uploader (Closes: #865555)
     - Many thanks to Alberto Gonzalez Iniesta.
     - Change Vcs-Browser to cgit.
   * Migrate to debhelper 10:
     - Change debian/compat to 10.
     - Bump minimum debhelper version in debian/control to >= 10.
   * Declare compliance with Debian Policy 4.0.0. (No changes needed).
 .
   [ Bernhard Schmidt ]
   * properly remove obsolete /etc/tmpfiles.d/openvpn.conf using
     dpkg-maintscript-helper (Closes: #865717)
   * Change Vcs-Git and Homepage to https
 .
 openvpn (2.4.3-2) unstable; urgency=medium
 .
   * The "Bye bye OpenVPN" revenge release
   * Put upstream tmpfiles conf in the right place and merge with Debian's.
     (Closes: #865589)
 .
 openvpn (2.4.3-1) unstable; urgency=high
 .
   * The "Bye bye OpenVPN" release.
   * New upstream release fixing: (Closes: #865480)
     - CVE-2017-7508
     - CVE-2017-7520
     - CVE-2017-7521
     - CVE-2017-7522
   * Plugin libs have been moved to /usr/lib/ARCH/openvpn/plugins
   * debian/rules:
     - Remove obsolete options to configure script (enable-password-save,
       with-plugindir (now in ENV_VARS))
     - No need to install upstream's systemd unit files from debian/rules
 .
 openvpn (2.4.0-6) unstable; urgency=medium
 .
   * Apply upstream patch to fix shrinking MTU sizes on reconnects causing not
     usable VPN tunnels.
Checksums-Sha1:
 153c29a2db79391666e0eb72753756dd03667c23 2183 openvpn_2.4.3-4ubuntu1.dsc
 b3adaf06225c13ab55b88a0edd3df71278860c20 938440 openvpn_2.4.3.orig.tar.xz
 fdf9342f88c38c5f88ed1039d91b1d92a3e7c1ca 51428 openvpn_2.4.3-4ubuntu1.debian.tar.xz
 b1255fe6c58a1380d3af568bc00964c57b33a0fb 6280 openvpn_2.4.3-4ubuntu1_source.buildinfo
Checksums-Sha256:
 2da1ff21f96902861c4a0e8da9354b2cb04fbecb6f59ed836d6a2a43e4e425fe 2183 openvpn_2.4.3-4ubuntu1.dsc
 15e15fc97f189b52aee7c90ec8355aa77469c773125110b4c2f089abecde36fb 938440 openvpn_2.4.3.orig.tar.xz
 49bcd6240b4b376850c7005b02d8899c0b861df05846cb4259816af381036d18 51428 openvpn_2.4.3-4ubuntu1.debian.tar.xz
 1d4b341a1759f5ceecb4501fbaa72fa76b19af0fe6528b3c8d8c919b31e6feff 6280 openvpn_2.4.3-4ubuntu1_source.buildinfo
Files:
 54b6ae81f6cd0fc75024912edc4325cc 2183 net optional openvpn_2.4.3-4ubuntu1.dsc
 dc2cc10a53be185cd0f336e9b8717917 938440 net optional openvpn_2.4.3.orig.tar.xz
 8977a1dc516b58bf49eed9dc84ac1741 51428 net optional openvpn_2.4.3-4ubuntu1.debian.tar.xz
 e5e758c1e28a550516e2f74f2e6ab2ca 6280 net optional openvpn_2.4.3-4ubuntu1_source.buildinfo
Original-Maintainer: Bernhard Schmidt <berni at debian.org>

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJZWbSTAAoJEOZsd1rr/mx9QFwQAN/ZY5fTl6MBZT0kLzMyjnRt
bRT4g0AyOgSmmkIU78sKFvIP8TZ7jv0YpXcgfcV58XczOT/rYCupqHG85lVb+DNi
e5P9GCgL3Eok4SM603DQJn4hrUSRfUljyV4euRY0X1MNHQRpogHEyx81DVx6EH96
1+5hMGF5J3d+QT/qRZA1uJhfuqa4NG8zI7Sa4ZidnEbrcmm6Gm7eXWzLvADW/8g0
oOhKnt19K1hqJXtOJ5L9zjZHZmVq8rjAJL8GNMokTjKcZqFyNnHuPzLmLE91lH0W
B19QvPsWbfrsfxwrDNFZgnMhP+qqPV8uPRJAuZDD/j+dnBMVBNYEvbZQpJS2vG5M
+mn0VSZIUnZWaqPRG+QOxXbRtTRNnrBQMayy1O/Q2xY0sVoZpIEoE2SGVL9YEuQ+
JUCuK86uhVrCbdYfq55eJM2iAxmeW2fYoica9lHI8gxRlkVOHYQdODrmEyU1WISS
nXHSiOVoa8x0FwymcjQZ5KbjnW2pvRmXv9ADTt0YswtbcswY7j/dRFA4WaQED+Ee
0K1Bo1BH//6PhE4D7xH+mdY+V74gBqldkKPkEX5Smf3pDi/30YYZImafr4FKt7xT
M7SR21YnsirVdVhKuiHZtWURBULXanVgEs0tY+P4UlBFobPjR/jFO2/JzufsCvUz
tpY7iSRB30oD7U7cGa7n
=BB6V
-----END PGP SIGNATURE-----


More information about the Artful-changes mailing list